package cn.hanghui.outapi.platform.alipay.entity.rest.request;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.alipay.entity.rest.request
 * @class AlipayAppAuthCancelledRequest
 * @date 2023/6/20 上午9:20
 * @description
 */
@Data
public class AlipayAppAuthCancelledMqRequest implements Serializable {

//    "app_auth_token":"211203BB6e8df9252c9e179d9f4c94d57d510X00",
//    "app_id":"2014072300007148",
//    "auth_app_id":"2013072300101234",
//    "user_id":"2088100000034011"
    /**
     * 取消的应用授权令牌
     */
    @JSONField(name = "app_auth_token")
    private String appAuthToken;

    /**
     * 授权者的应用id（一般是商户）
     */
    @JSONField(name = "auth_app_id")
    private String authAppId;

    /**
     * 授权者的蚂蚁统一会员ID（一般是商户）
     */
    @JSONField(name = "user_id")
    private String userId;

    /**
     * 被授权的应用id（一般是ISV）
     */
    @JSONField(name = "app_id")
    private String appId;


}
