package cn.hanghui.outapi.platform.tenant.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto
 * @class AppApkDeviceTaskVo
 * @date 2023/10/8 下午2:53
 * @description
 */
@Data
public class AppApkDeviceTaskVo {

    private Long id;

    @ApiModelProperty(value = "设备号")
    private String sn;

    @ApiModelProperty(value = "公司名称")
    private String company;

    @ApiModelProperty(value = "安装包id")
    private Long appApkId;

    @ApiModelProperty(value = "安装包名称")
    private String apkTitle;

    @ApiModelProperty(value = "安装包版本")
    private String apkVersion;

    @ApiModelProperty(value = "安装包的地址")
    private String apkPath;

    @ApiModelProperty(value = "安装任务状态 0:等待中 1:下载中 2:完成 3:已取消")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "设备安装完成时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date installTime;

    /**
     * 设备请求时间
     */
    @ApiModelProperty(value = "设备更新时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date requestTime;

}
