package cn.hanghui.outapi.platform.tenant.entity.dto;

import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.BaseSearch;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto
 * @class IotDeviceConfigPageDto
 * @date 2023/12/5 下午1:36
 * @description
 */
@Data
public class IotDeviceConfigPageDto extends BaseSearch {

    @ApiModelProperty(value = "设备编号")
    private String sn;

    @ApiModelProperty(value = "购买方Id")
    private Long purchaserId;

    @ApiModelProperty(value = "应用类型id")
    private Long applicationTypeId;

    @ApiModelProperty(value = "设备型号(硬件)id")
    private Long deviceModelHardwareId;

    @ApiModelProperty(value = "设备型号(环境)id")
    private Long deviceModelEnvironmentId;

    @ApiModelProperty(value = "系统类型 1-蚂蚁OS 2-非蚂蚁OS")
    @Min(value = 1,message = "请选择系统类型")
    @Max(value = 2,message = "请选择系统类型")
    private Integer systemTypeCode;

    @ApiModelProperty(value = "ampe平台名id")
    private Long ampeId;

    @ApiModelProperty(value = "服务商平台id")
    private Long tenantId;

    @ApiModelProperty(value = "用户库id")
    private Long userLibId;

    @ApiModelProperty(value = "场景id")
    private Long sceneId;

    @ApiModelProperty(value = "模式public close elasticity 三个参数分别代表 开放 封闭 弹性")
    private String mode;

    @ApiModelProperty(value = "授权状态  false：未授权 true：已授权")
    private Boolean status;
}
