package cn.hanghui.outapi.platform.tenant.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto
 * @class ZoloConfigDto
 * @date 2023/9/20 下午2:36
 * @description zoloConfig摄像头配置
 */
@Data
public class ZoloConfigDto implements Serializable {

    @ApiModelProperty(value = "摄像头显示角度 0-270 默认值90")
    @Min(value = 0, message = "请输入0-270的数字")
    @Max(value = 270, message = "请输入0-270的数字")
    private Integer supAlgorithmAngle;

    @ApiModelProperty(value = "RGB摄像头旋转角度 0-270 默认值270")
    @Min(value = 0, message = "请输入0-270的数字")
    @Max(value = 270, message = "请输入0-270的数字")
    private Integer algorithmAngle;

    @ApiModelProperty(value = "IR摄像头旋转角度 0-270 默认值270")
    @Min(value = 0, message = "请输入0-270的数字")
    @Max(value = 270, message = "请输入0-270的数字")
    private Integer displayAngle;

    @ApiModelProperty(value = "RGB摄像头镜像 默认值true")
    private Boolean isMirror;

    @ApiModelProperty(value = "IR摄像头镜像 默认值false")
    private Boolean isDisplayMirror;


}
