package cn.hanghui.outapi.platform.tenant.entity.dto.proof;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.proof
 * @class ProvisionalIdentityProofDeviceVo
 * @date 2024/5/13 上午11:23
 * @description
 */
@Data
@JsonInclude(JsonInclude.Include.ALWAYS)
public class ProvisionalIdentityProofDeviceVo extends ProvisionalIdentityProofDeviceDto implements Serializable {

    @ApiModelProperty("购买方公司名称")
    private String companyName;
    @ApiModelProperty(value = "应用类型")
    private String applicationType;
    @ApiModelProperty(value = "设备型号(硬件)")
    private String deviceModelHardware;
    @ApiModelProperty(value = "设备型号(环境)")
    private String deviceModelEnvironment;
    @ApiModelProperty(value = "系统类型")
    private String systemType;
    @ApiModelProperty(value = "小程序授权配置名称")
    private String provisionalProofNoticeName;
    @ApiModelProperty(value = "小程序授权配置标题")
    private String provisionalProofNoticeTitle;
    @ApiModelProperty(value = "小程序授权配置须知内容 富文本")
    private String provisionalProofNoticeDesc;
    @ApiModelProperty(value = "小程序授权配置公章")
    private String provisionalProofNoticeOfficialSeal;

    @ApiModelProperty(value = "授权状态  false：未授权 true：已授权")
    private Boolean status;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}
