package cn.hanghui.outapi.platform.tenant.entity.po;

import cn.hanghui.outapi.platform.common.entity.po.Base;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 商户
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "tenant", autoResultMap = true)
public class Tenant extends Base {

    /**
     * 名称
     */
    private String name;

    /**
     * 设备appId
     */
    private String machineAppId;

    /**
     * 商户appId
     */
    private String serviceAppId;

    /**
     * 商户平台地址
     */
    private String serviceAddress;


    /**
     * 三方授权之后获取token
     */
    private String appAuthToken;

    /**
     * 是否是三方授权 默认 false
     */
    private Boolean thirdAuth;

    /**
     * 三方授权之后获取token状态默认1:有效 0:无效
     */
    private Boolean appAuthTokenStatus;

    /**
     * 入库接口地址
     */
    private String faceinAddress;

}
