package cn.hanghui.outapi.platform.tenant.service;

import cn.hanghui.outapi.platform.common.entity.rest.RestResult;
import cn.hanghui.outapi.platform.tenant.entity.dto.AppApkDeviceTaskDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.AppApkDeviceTaskPageDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.AppApkDeviceTaskReq;
import cn.hanghui.outapi.platform.tenant.entity.dto.AppApkDeviceTaskVo;
import cn.hanghui.outapi.platform.tenant.entity.dto.AppApkDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.AppApkPageDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.AppApkVo;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.service
 * @class AppApkService
 * @date 2023/10/8 下午4:20
 * @description
 */
public interface AppApkService {

    /**
     * 添加或编辑
     *
     * @param dto
     * @return
     */
    RestResult add(AppApkDto dto);

    /**
     * 删除
     *
     * @param id
     */
    RestResult del(Long id);

    /**
     * 获取包列表（分页）
     *
     * @param dto
     * @return
     */
    RestResult<IPage<AppApkVo>> pageApk(AppApkPageDto dto);

    /**
     * 添加安装任务
     *
     * @param dto
     * @return
     */
    RestResult addTask(AppApkDeviceTaskDto dto);

    /**
     * 取消安装任务
     *
     * @param id
     * @return
     */
    RestResult cancelTask(Long id);

    /**
     * 获取安装任务列表（分页）
     *
     * @param dto
     * @return
     */
    RestResult<IPage<AppApkDeviceTaskVo>> pageTask(AppApkDeviceTaskPageDto dto);

    /**
     * 根据sn查询等待中的任务
     *
     * @param req
     * @return
     */
    RestResult taskQuery(AppApkDeviceTaskReq req);

    /**
     * 任务状态上报  0:等待中 1:下载中 2:完成 3:已取消
     *
     * @param req
     * @return
     */
    RestResult taskTracking(AppApkDeviceTaskReq req, Integer status);

    /**
     * 获取安装包列表
     *
     * @param dto
     * @return
     */
    RestResult<List<AppApkVo>> apkList();
}
